{$APPTYPE CONSOLE}
uses
    testlib, sysutils;
var
    ja, pa: string;
         i: longint;
begin
	while not ans.seekeof do begin
        ja := ans.readword(blanks, blanks);
        if ouf.seekeof then
        	quit(_pe, 'not enough numbers');

        pa := ouf.readword(blanks, blanks);

        for i := 1 to length(pa) do
            if not (pa[i] in ['-', '0'..'9']) then
                quit(_pe, 'invalid character in answer');

        if ja <> pa then quit(_wa, '');
    end;

    if not ouf.seekeof then
    	quit(_pe, 'too many numbers');

    quit(_ok, '');
end.